{% extends "docs/base.html" %}

{% block main %}
{% markdown %}
# Snek

# Introduction

Snek is a high customizable chat application. 
It is made because Rocket Chat didn't fit my needs anymore. It became bloathed and very heavy commercialized. You would get upsell messages on your locally hosted instance!

This documentation is under construction. Only the form API and the small introduction is a bit documented.

## Quick API notes 
[Small introduction / cheatsheet](/docs/docs/api.html)

## View API
With the view classes of Snek you can render HTML and Markdown 
 - [API Python](#)
 - [API Javascript](#)

## ORM API
Snek's database model is based on Python dataset library. 
Snek uses a model/mapper architecture build on top of that library.
 - [API](#)

## Form API
Snek does have his own components for creating and rendering forms. 
All forms are made server side and client side is generated client side using a HTML component.
It's client side only one line to include a form that can validate and submit.
Validation is server side using REST. Page won't refresh.
[API Python](/docs/docs/form_api_python.html) 
[API Javascript](/docs/docs/form_api_javascript.html)


{% endmarkdown %}
{% endblock %}